/*
 * main.c
 *
 * Test of BMP180 sensor,
 * You have still to add output routines or watch the variables in debugger
 *
 * Author: Gerrit Buhe, DL9GFA
 *
 */
#include <msp430.h>
#include <stdint.h>
#include "UCBxI2C.h"
#include "BMP180_I2C.h"

volatile int16_t	BMP180_tempC;
volatile uint16_t 	BMP180_pressure_hPa;

int main(void)
{
	uint16_t i;

    WDTCTL = WDTPW | WDTHOLD;				//hold watchdog timer

    DCOCTL  = CALDCO_8MHZ;					//initialize Basic Clock Module
	BCSCTL1 = CALBC1_8MHZ;

	UCBxI2C_init();							//initialize I2C interface with UCB0
	_bis_SR_register( GIE);         		//enable interrupts globally

	if( BMP180_presentDetect() == 1)
		BMP180_init();						//get calibration parameters
	else
		return -1;

	while( 1)								//measure for ever
	{
		BMP180_startTempMeasurement();
		for(i=0; i<9000; i++);				//5ms conversion time
		BMP180_tempC = BMP180_getTempMeasurement();				//in 0.1°C (!)

		BMP180_startPressureMeasurement();
		for(i=0; i<40000; i++);				//needs up to 25.5ms conversion time (depends on mode)
		BMP180_pressure_hPa = BMP180_getPressureMeasurement();	//in 0.1 hPa (!)
	}
}
